RubyInstaller 3.0.2-1, 2.7.4-1和2.6.8-1发布了。这些是维护版本,修复了一些缺陷和安全问题。

开启了对超过260个字符的路径长度的支持。查阅829ab9d

增加了racc, rbs, typeprof可执行文件到/bin目录。查阅 #231

查看Ruby-3.0.2官方发布通告, Ruby-2.7.4官方发布通告Ruby-2.6.8官方发布通告获得详情。

请注意,一些Gem在Windows上与Ruby-3.0并不兼容,这种情况下,你可能需要依然使用2.7直到3.0被很好的支持。

一个之前的RubyInstaller-2.6.x或2.7.x安装不应当被通过将RubyInstaller-3.0.x安装同一目录下直接更新。这是因为一些带有C语言扩展的gem在ruby-2.7和3.0之间并不兼容。最好像我们提议的,使用新的目录来存放3.0.x

所有安装程序都放在了下载区域!